﻿import matplotlib.pyplot as plt
#Altitude, durée et vitesse trouvées
Z=[0,0.010,0.026,0.048,0.077,0.100,0.117,0.123,0.121,0.110,0.09,0.064,0.039,0.020,0.005]
T=[0.20,0.24,0.28,0.32,0.36,0.40,0.44,0.48,0.52,0.56,0.60,0.64,0.68,0.72,0.76]
V=[1.57,1.51,1.40,1.24,1.00,0.68,0.39,0.09,0.22,0.54,0.84,1.1,1.32,1.46,1.54]
m=0.100
#Détermination des valeurs de l'énergie cinétique et création des valeurs
Ec=[]
for i in range (len(V)) :
    Ec=Ec+[0.5*m*V[i]**2]
#Détermination des valeurs de l'énergie potentielle et création des valeurs
Epp=[]
for i in range (len(Z)) :
    Epp=Epp+[m*9.81*Z[i]]

#tracé de la courbe
plt.grid()
plt.title("Evolution des énergies cinétique, potentielle de pesanteur")
plt.xlabel('$t$ (s)')
plt.ylabel('$\mathcal{E}_{pp}, \mathcal{E}_c$')
plt.plot(T,Epp,'r--o',label='$\mathcal{E}_{pp}$')
plt.plot(T,Ec,'k--x',label='$\mathcal{E}_{c}$')
plt.legend()
plt.show()



